import java.util.Random;
import java.awt.Point;

public abstract class AiPlayer extends Player {

    public AiPlayer(int size) {
        super(size);
    }
    public Point RandomPoint() {
        Random random = new Random(); // Pseudo Random für zufallszahlen
        int posx = random.nextInt(super.board.size); // Generiert 0 - 13
        int posy = random.nextInt(super.board.size); // 
        return new Point(posx,posy);
    }

    public void AiSetShips() {
        for(int i = 0; i < super.board.ships.size(); i++) {  // Interiert durch alle Shiffe
            while(!super.board.ships.get(i).setPosition(RandomPoint()))
        }    // Versucht das Aktuelle Shiff zu setzten und wiederholt solange bis es funktioniert
        return;
    }

    public void AiShoot() {
        super.board.hit(RandomPoint());
        return;
    }
}